Get Checkout Session
curl --request GET \
--url https://uat-api.clinkbill.com/api/checkout/session/{id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/api/checkout/session/{id}")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/checkout/session/{id}"
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Timestamp': '<x-timestamp>', 'X-API-KEY': '<api-key>'}
};
fetch('https://uat-api.clinkbill.com/api/checkout/session/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 123,
"msg": "<string>",
"data": {
"sessionId": "<string>",
"token": "<string>",
"amountSubtotal": 123,
"amountTotal": 123,
"originalCurrency": "<string>",
"paymentCurrency": "<string>",
"subscriptionId": "<string>",
"invoiceId": "<string>",
"orderId": "<string>",
"merchantReferenceId": "<string>",
"locale": "<string>",
"returnUrl": "<string>",
"cancelUrl": "<string>",
"successUrl": "<string>",
"created": "2023-11-07T05:31:56Z",
"expire": "2023-11-07T05:31:56Z",
"price": {
"priceId": "<string>",
"priceList": [
{
"amount": 123,
"currency": "<string>",
"exchangeRate": 123
}
],
"recurring": {
"freeTrialDays": 123
}
},
"product": {
"productId": "<string>",
"productName": "<string>"
},
"customer": {
"customerId": "<string>",
"email": "<string>"
},
"priceDataList": [
{
"name": "<string>",
"unitAmount": 1,
"quantity": 2,
"currency": "<string>",
"imageUrl": "<string>"
}
]
}
}"<string>"Checkout Session
Get Checkout Session
Retrieve details of an existing checkout session
GET
/
checkout
/
session
/
{id}
Get Checkout Session
curl --request GET \
--url https://uat-api.clinkbill.com/api/checkout/session/{id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-Timestamp: <x-timestamp>'HttpResponse<String> response = Unirest.get("https://uat-api.clinkbill.com/api/checkout/session/{id}")
.header("X-Timestamp", "<x-timestamp>")
.header("X-API-KEY", "<api-key>")
.asString();import requests
url = "https://uat-api.clinkbill.com/api/checkout/session/{id}"
headers = {
"X-Timestamp": "<x-timestamp>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Timestamp': '<x-timestamp>', 'X-API-KEY': '<api-key>'}
};
fetch('https://uat-api.clinkbill.com/api/checkout/session/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 123,
"msg": "<string>",
"data": {
"sessionId": "<string>",
"token": "<string>",
"amountSubtotal": 123,
"amountTotal": 123,
"originalCurrency": "<string>",
"paymentCurrency": "<string>",
"subscriptionId": "<string>",
"invoiceId": "<string>",
"orderId": "<string>",
"merchantReferenceId": "<string>",
"locale": "<string>",
"returnUrl": "<string>",
"cancelUrl": "<string>",
"successUrl": "<string>",
"created": "2023-11-07T05:31:56Z",
"expire": "2023-11-07T05:31:56Z",
"price": {
"priceId": "<string>",
"priceList": [
{
"amount": 123,
"currency": "<string>",
"exchangeRate": 123
}
],
"recurring": {
"freeTrialDays": 123
}
},
"product": {
"productId": "<string>",
"productName": "<string>"
},
"customer": {
"customerId": "<string>",
"email": "<string>"
},
"priceDataList": [
{
"name": "<string>",
"unitAmount": 1,
"quantity": 2,
"currency": "<string>",
"imageUrl": "<string>"
}
]
}
}"<string>"Authorizations
Your secret API key obtained from the Clink dashboard (Developers section)
Headers
Current timestamp in milliseconds since Unix epoch (required for request signing)
Example:
"1783513683000"
Path Parameters
Unique identifier of the checkout session to retrieve
⌘I